PHP 8.0.26 Released!

Spoofchecker::setChecks

(PHP 5 >= 5.4.0, PHP 7, PHP 8, PECL intl >= 2.0.0)

Spoofchecker::setChecksSet the checks to run

说明

public Spoofchecker::setChecks(int $checks): void

Sets the checks that will be performed by SpoofChecker::isSuspicious().

参数

checks

The checks that will be performed by SpoofChecker::isSuspicious(). A bitmask of Spoofchecker::SINGLE_SCRIPT_CONFUSABLE, Spoofchecker::MIXED_SCRIPT_CONFUSABLE, Spoofchecker::WHOLE_SCRIPT_CONFUSABLE, Spoofchecker::ANY_CASE, Spoofchecker::SINGLE_SCRIPT, Spoofchecker::INVISIBLE, or Spoofchecker::CHAR_LIMIT. Defaults to all checks as of ICU 58; prior to that version, Spoofchecker::SINGLE_SCRIPT was excluded.

返回值

没有返回值。

add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top